Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrFullTextSearchScore

    java.lang.Object
      org.modeshape.graph.query.model.FullTextSearchScore
          org.modeshape.jcr.query.qom.JcrFullTextSearchScore

All Implemented Interfaces:
  Serializable, FullTextSearchScore, Operand, DynamicOperand, LanguageObject, Visitable, JcrDynamicOperand

    public class JcrFullTextSearchScore

extends FullTextSearchScore
implements FullTextSearchScore, JcrDynamicOperand

Implementation of the full-text search score dynamic operand for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrFullTextSearchScore(SelectorName selectorName)` Create a dynamic operand that evaluates to the full-text search score of the node identified by the selector.

Method Summary
`String` | `getSelectorName()`

Methods inherited from class org.modeshape.graph.query.model.FullTextSearchScore
`accept, equals, hashCode, selectorName, selectorNames, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.DynamicOperand
`selectorNames`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrFullTextSearchScore

    public JcrFullTextSearchScore(SelectorName selectorName)

  Create a dynamic operand that evaluates to the full-text search score of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector

Method Detail

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `FullTextSearchScore`
  See Also:
    `FullTextSearchScore.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.